[rainmeter]
Author=viken
Update=70



VARIABLES

[variables]
StringEffect=Shadow
location=KZXX0022
metric=M


[ImageMeter]
Meter=Image
H=240
W=420
ImageName=1\[ImageNumberCalc].png
DynamicVariables=1

[ImageNumberCalc]
Measure=Calc
Formula=Counter % 59
Substitute=".00000":""


[Current]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=3000
Url=http://xml.weather.com/weather/local/#Location#?cc=*&unit=#Metric#&dayf=0
RegExp="(?siU).*<locale>(.*)</locale>.*<ut>(.*)</ut>.*<ud>(.*)</ud>.*<us>(.*)</us>.*<up>(.*)</up>.*<ur>(.*)</ur>.*<loc id="(.*)">.*<dnam>(.*)</dnam>.*<tm>(.*)</tm>.*<lat>(.*)</lat>.*<lon>(.*)</lon>.*<sunr>(.*)</sunr>.*<suns>(.*)</suns>.*<zone>(.*)</zone>.*<cc>.*<lsup>(.*)</lsup>.*<obst>(.*)</obst>.*<tmp>(.*)</tmp>.*<flik>(.*)</flik>.*<t>(.*)</t>.*<icon>(.*)</icon>.*<bar>.*<r>(.*)</r>.*<d>(.*)</d>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<hmid>(.*)</hmid>.*<vis>(.*)</vis>.*<uv>.*<i>(.*)</i>.*<t>(.*)</t>.*<dewp>(.*)</dewp>.*<moon>.*<icon>(.*)</icon>.*<t>(.*)</t>.*"

[Today]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=3000
Url=http://xml.weather.com/weather/local/#Location#?cc=*&unit=#Metric#&dayf=1
RegExp="(?siU)<dayf>.*<lsup>(.*)</lsup>.*<day d="0" t="(.*)" dt="(.*)".*<hi>(.*)</hi>.*<low>(.*)</low>.*<sunr>(.*)</sunr>.*<suns>(.*)</suns>.*<part p="d">.*<icon>(.*)</icon>.*<t>(.*)</t>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<bt>(.*)</bt>.*<ppcp>(.*)</ppcp>.*<hmid>(.*)</hmid>.*<part p="n">.*<icon>(.*)</icon>.*<t>(.*)</t>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<bt>(.*)</bt>.*<ppcp>(.*)</ppcp>.*<hmid>(.*)</hmid>.*"

[MeasureWeatherTemp]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Current]
StringIndex=17

[MeasureWeatherDesc]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Current]
StringIndex=19
Substitute=" And ":" и ","Lgt.":"Ясно ","Snow":"Снег и ","Mostly Cloudy":"Переменная облачность","Light Snow":"Небольшой снег","Light Rain":"Небольшой дождь","LightRainShower":"Дождь","Cloudy":"Облачно","Drizzle":"Морось","Light":"Ясно","And":"И","Partly":"Отчасти","Mostly Sunny":"Небольшая облачность","and":"и","with":"с","Clear":"Ясно","Fair":"Ясно","Partly Cloudy":"Небольшая облачность","Cloudy":"Облачно","Freezing Rain":"Ледяной дождь","Shower":"Ливень","Light Rain":"Небольшой дождь","Early":"Ранний","Rain":"Дождь","Thunderstorm":"Буря","Thunder":"Гром","in the Vicinity":"в окресности","Light Snow":"Небольшой снег","Snow":"Снег","Sunny":"Солнечно","Windy":"Ветренно","Haze":"Дымка","Fog":"Туман","W-ead Dust":"Пыльная буря","Set":"Закат","Light Drizzle":"Небольшая изморось","Wintry Mix":"Ветер","Light":"Ясно","Mist":"Туман","Showers Late":"Поздний дождь","Wind":"Ветер","Showers":"Дождь","Scattered":"Моросящий","T-Storm":"Гроза","AM":"Ночью","PM":"Днем","Early":"Ранний","Light Rain Early":"Ранний небольшой дождь","Isolated":"Местами"

[meterdesc]
measurename=measureweatherdesc
meter=string
x=210
y=70
StringEffect=Shadow
stringstyle=BOLD
FontEffectColor=9,181,192
fontcolor=7,59,81
fontsize=17
stringalign=center
stringstyle=BOLD
fontface=Porsche
antialias=1

[metertemp]
measurename=measureweathertemp
meter=string
x=210
y=90
StringEffect=Shadow
stringstyle=BOLD
FontEffectColor=9,181,192
fontcolor=7,59,81
fontsize=42
stringalign=center
fontface=Porsche
antialias=1
postfix="°"



